--- a/configure.ac	2020-05-17 14:27:27.982637232 +0200
+++ b/configure.ac	2020-05-17 14:29:33.157206097 +0200
@@ -8,8 +8,6 @@
 AC_CONFIG_AUX_DIR([config])
 AC_CONFIG_FILES([Makefile])
 
-CFLAGS="-O2 -Wall"
-
 # wavemon is only supported on Linux, warn user about futile compilations
 AC_CANONICAL_HOST
 case "$host_os" in
@@ -22,12 +20,15 @@
 AC_PROG_CPP
 AC_PROG_INSTALL
 
+PKG_PROG_PKG_CONFIG()
+
 # Checks for header files.
 AC_HEADER_STDC
 AC_HEADER_TIME
 AC_CHECK_HEADERS([ncurses.h fcntl.h netdb.h sys/ioctl.h sys/time.h unistd.h\
 		  net/if_arp.h netinet/ether.h net/ethernet.h pthread.h],
 		 [], [AC_MSG_ERROR($ac_header not found)])
+PKG_CHECK_MODULES(ncurses,ncurses,LIBS="$LIBS $ncurses_LIBS",)
 
 # linux/if.h needs 'struct sockaddr'
 # linux/wireless.h in turn depends on linux/if.h
--- a/Makefile.in	2017-07-14 21:35:18.154423280 +0300
+++ b/Makefile.in	2017-07-14 21:35:34.613402738 +0300
@@ -9,7 +9,7 @@
 install-suid-root: exec_perms = 4755
 
 CC	 ?= @CC@
-CFLAGS	 ?= @CFLAGS@ @LIBNL3_CFLAGS@
+CFLAGS	 = @CFLAGS@ @LIBNL3_CFLAGS@
 CPPFLAGS ?= @CPPFLAGS@
 LDFLAGS  ?= @LDFLAGS@
 DEFS	 ?= @DEFS@
@@ -25,8 +25,7 @@
 DOCS	= README.md NEWS THANKS AUTHORS COPYING ChangeLog
 
 %.o: %.c $(HEADERS)
-	@echo ' CC  ' $<
-	@$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(DEFS) -c -o $@ $<
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $(DEFS) -c -o $@ $<
 
 all: @PACKAGE_NAME@
 @PACKAGE_NAME@: $(MAIN) $(OBJS)
